### Constructor

# Tracker Resource new

#### Declaration [src]

    TrackerResource*
    tracker_resource_new (
      const char* identifier
    )

#### Description [src]

Creates a TrackerResource instance.

#### Parameters

`identifier`

  Type: `const char*`

  A string containing a URI, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `TrackerResource`

A newly created `TrackerResource`.

The caller of the function takes ownership of the data, and is responsible for freeing it.